Remove onsync(to|from)preference attributes from in-content prefs
See bug 1016300 comment 13/14. AFAICT we could fix preferences.xml to always synthesize the events or use the event listener manager to check if the element has event handlers.